Name:           agave
Version:        0.4.2
Release:        10%{?dist}
Summary:        Generate a variety of colorschemes from a single starting color

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://home.gna.org/colorscheme/
Source0:        http://download.gna.org/colorscheme/releases/agave-%{version}.tar.bz2
Patch1:         agave-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# see http://home.gna.org/colorscheme/downloads.shtml for buildreqs
BuildRequires:  gtkmm24-devel >= 2.6, libgnomeui-devel >= 2.0, desktop-file-utils
BuildRequires:  cppunit-devel, gnome-vfsmm26-devel, boost-devel, gconfmm26-devel
BuildRequires:  gettext, gnome-doc-utils, libglademm24-devel
BuildRequires:  scrollkeeper
%if 0%{?fedora} >= 5
BuildRequires:  libSM-devel
%endif

# Renamed from colorscheme
Provides:       colorscheme = %{version}-%{release}
Obsoletes:      colorscheme <= 0.3.91-2

Requires(pre):  GConf2
Requires(post): scrollkeeper, GConf2
Requires(preun): GConf2
Requires(postun): scrollkeeper

%description
Have you ever been re-finishing a room in your home and found yourself asking 
"What color would go well with this" ? Or been working on a website and not
able to find the perfect colorscheme to go with the company logo ?
Try Agave. Agave is a very simple application for the GNOME desktop that
allows you to generate a variety of colorschemes from a single starting color.


%prep
%setup -q
%patch1 -p1 -b .gcc43


%build
%configure --disable-schemas-install --disable-scrollkeeper
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
#export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install  --vendor fedora \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        --delete-original \
        --remove-category GNOME \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%{find_lang} %{name}

%check
make check || :


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    killall -HUP gconfd-2 >/dev/null 2>&1 || :
fi

%post
# Icons
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
# Scrollkeeper
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
# GConf
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 >/dev/null 2>&1 || :

%postun
# Icons
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
# Scrollkeeper
scrollkeeper-update -q || :
# GConf
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 >/dev/null 2>&1 || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING NEWS AUTHORS ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}



%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.2-8
- fix conditional comparison

* Thu Mar 27 2008 Christopher Aillon <caillon@redhat.com> - 0.4.2-7
- Actually build against GCC 4.3

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.2-6
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.4.2-5
- fix License tag
- rebuild for BuildID

* Sun Jun 10 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.4.2-4
- reverted yelp requirement (should be optional)

* Sat Jun 09 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.4.2-3
- Require yelp for the help system (#243375)

* Sun Mar 04 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.4.2-2
- fix abusive cut-n-paste

* Sat Mar 03 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.4.2-1
- version 0.4.2

* Sat Oct 07 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.4.1-1
- version 0.4.1
- drop patch (applied upstream)

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.4.0-2
- rebuild

* Sun Jul 23 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.4.0-1
- version 0.4.0
- renamed to Agave

* Tue Jun 20 2006 Aurelien Bompard <gauret[AT]free.fr> 0.3.91-2
- BR: gettext

* Tue Apr 11 2006 Aurelien Bompard <gauret[AT]free.fr> 0.3.91-1
- update to 0.3.91
- fix build outside the buildsystem (bug 188480)

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.3-3
- rebuild for fc5

* Wed Nov 23 2005 Aurelien Bompard <gauret[AT]free.fr> 0.3-2
- fix build with modular Xorg

* Wed Nov 23 2005 Aurelien Bompard <gauret[AT]free.fr> 0.3-1
- version 0.3

* Fri Nov 04 2005 Aurelien Bompard <gauret[AT]free.fr> 0.2.2.2-1
- version 0.2.2.2

* Sat Oct 22 2005 Aurelien Bompard <gauret[AT]free.fr> 0.2.2.1-1
- version 0.2.2.1

* Sat Sep 24 2005 Aurelien Bompard <gauret[AT]free.fr> 0.2.2-1
- version 0.2.2
- drop patch (applied upstream)

* Wed Sep 21 2005 Aurelien Bompard <gauret[AT]free.fr> 0.2.1-2
- add patch for missing include

* Sun Sep 18 2005 Aurelien Bompard <gauret[AT]free.fr> 0.2.1-1
- initial Fedora package (reviewed in bug 168635)
